%define anolis_release 1

Name:           abi-compliance-checker
Version:        2.3
Release:        %{anolis_release}%{?dist}
Summary:        An ABI Compliance Checker

License:        GPLv2+ or LGPLv2+
URL:            http://lvc.github.io/abi-compliance-checker/
Source0:        https://github.com/lvc/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(strict)
Requires:       gcc >= 4.5
Requires:       gcc-c++ >= 4.5
Requires:       binutils
Requires:       findutils
Requires:       ctags >= 5.8
Requires:       abi-dumper >= 0.99.15

Conflicts:      ccache < 3.1.2

%{?perl_default_filter}

%description
A tool for checking backward binary compatibility of a shared C/C++ library. It
checks for changes in calling stack, changes in v-table, removed symbols, etc.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_prefix}
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}
%{_fixperms} %{buildroot}/*

%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}

%files doc
%doc README.md doc/*

%changelog
* Thu Oct 13 2022 happy_orange <songnannan@linux.alibaba.com> - 2.3-1
- Init pacakge from upstream
